cordova-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Ian Clelland <iclell...@chromium.org>
Subject Working versions of Cordova-Android and Cordova-Crosswalk-Engine
Date Wed, 16 Jul 2014 15:49:07 GMT
Joe and I spent a bit of time last night working out compatible versions of
cordova-android and cordova-crosswalk-engine. (One of the pains of having
separate repos for everything is when APIs change, it's a pain to find
matching versions again)

This is what we found (I went over the commits from the last month or so to
work out the ranges of compatibility):
1. Nothing works with xwalk 8.36.171 or higher. Crosswalk has a new
embedding API, which I still need to integrate. (
https://github.com/clelland/cordova-crosswalk-engine/pull/4)

2. The latest heads of each branch work together:
android a99c821
engine 8e4eeb2
xwalk 8.36.157

3. cordova-android from a4f6d9f (July 10) to a99c821 (July 14) can be used
with the latest version of cordova-crosswalk-engine

4. cordova-android from efcedab (July 9) up to to fc2a202 (July 10) require
crosswalk-engine @ b423b1c

5. cordova-android d66bb84 and 428e1bc (June 24) require crosswalk-engine @
220e9ce  (This is June 24, before the big changes)

6. cordova-android c052f40 (June 20) to 96a119 (June 23) require
crosswalk-engine @ 714f7b6

7. cordova-android 3a9898a (June 18) up to 98246c (June 20) require
cordova-crosswalk-engine 0b0691f (Crosswalk 8.36.157) or 50f8116 (Crosswalk
8.36.156)

Commits to cordova-android between these ranges (i.e, 428e1bc < x <
efcedab) don't work with any version of cordova-crosswalk-engine.

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message